#
# spec file for package broadcom-tg3 (Version 3.116j)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2007 Novell, Inc.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-suse build bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv kernel-default-devel kernel-source kernel-syms kernel-xen-devel less libacl libattr libblkid1 libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl7 libmpfr1 libncurses5 libreadline5 libselinux1 libsepol1 libstdc++43 libtool libuuid1 libvolume_id1 libxcrypt libzio linux-kernel-headers login m4 make man module-init-tools net-tools netcfg pam pam-modules patch perl perl-TimeDate perl-base permissions popt post-build-checks psmisc rpm rpmlint-Factory rpmlint-mini sed sysvinit tar terminfo-base texinfo timezone util-linux zlib


Name:           broadcom-tg3
BuildRequires:  kernel-source kernel-syms module-init-tools
License:        GPL v2 or later
Group:          System/Kernel
Summary:        Broadcom NetXtreme Driver for Linux
Version:        3.116j
Release:        2
Source0:        %name-%version.tar.bz2
Source1:        Module.supported
#Source2:        Makefile
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%suse_kernel_module_package kdump um

%description
This package contains the Linux driver for the Broadcom NetXtreme
Family of Server Adapters



Authors:
--------
    Philip Oswald

%debug_package
%package KMP
License:        GPL v2 or later
Summary:        Broadcom NetXtreme Driver for Linux
Group:          System/Kernel

%description KMP
This package contains the Linux driver for the Broadcom NetXtreme
Family of Server Adapters



Authors:
--------
    Philip Oswald

%prep
%setup
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv "$@" source/

mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

man_dir=${RPM_BUILD_ROOT}/usr/share/man/man4
mkdir -p ${man_dir}
gzip -c source/tg3.4 > ${man_dir}/tg3.4.gz

%files
%defattr(-, root, root)
%doc source/README.TXT
%_mandir/man4/tg3.4.gz

%changelog
* Mon May 16 2011 poswald@novell.com
-Initial PLDP build of the tg3 v3.116j
